Subject: RE: Preemption TLV in CR-LDP

From: "Bilel Jamoussi" <[email-masked]>
Date: Thu, 29 Jun 2000 22:36:45 -0500

CRLDP v4 will clarify this point to use "default values" in this case.

Bilel.

-----Original Message-----
From: Adrian Farrel [mailto:[email-masked]]
Sent: Sunday, April 23, 2000 10:56 PM
To: Subodh Mathur; mpls
Cc: Jamoussi, Bilel [BL3:2001-M:EXCH]; Ashwood-Smith, Peter
[CAR:CS57:EXCH]
Subject: RE: Preemption TLV in CR-LDP

Hi Subodh,

I can offer you a couple of references...

From section 2.3...

   The exact rules determining bumping are an
   aspect of network policy.

Which implies that although the ingress has a right to 
expect some generalized behavior based on holding and
setup priorities, they can not precisely predict the
rules for bumping that will be applied in the network.

From section 4.4...

   The default value of the setup and holding priorities 
   should be in the middle of the range (e.g., 4)

I would suggest that if the Preemption TLV is not present
the sender is not bothered about the risk of being bumped.
This means that each LSR can apply whatever local network
policy it likes (although ideally this would be co-ordinated
across the network).

It would make sense to me to choose from
- use "default values"
- use lowest values

Regards,
Adrian
--
Adrian Farrel  mailto:[email-masked]
Network Convergence Group
Data Connection Ltd., Chester, UK
http://www.datcon.co.uk/
Tel: +44 (0) 1244 313440  Fax: +44 (0) 1244 312422

>-----Original Message-----
>From: Subodh Mathur [mailto:[email-masked]]
>Sent: Friday, April 21, 2000 3:22 PM
>To: Peter Ashwood-Smith; mpls; Bilel Jamoussi
>Subject: Preemption TLV in CR-LDP
>
>
>Hi,
>How will setting up of a CR LSP with Preemption TLV will deal with an
>existing CR LSP which has been setup without using optional 
>Preemption TLV?.
>Assuming there is a contention of resources between them. The draft on
>CR-LDP does not make it clear or I might have missed it.
>Thanks,
>Subodh Mathur
>Digital Technology Inc.,
>Bedford, MA 01730
>